
From: Adrian Bunk <bunk@stusta.de>

I didn't find any possible modular usage in the kernel.

This patch was already ACK'ed by Christoph Hellwig.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/mmap.c  |    4 ----
 mm/nommu.c |    4 ----
 2 files changed, 8 deletions(-)

diff -puN mm/mmap.c~mm-mmapnommuc-several-unexports mm/mmap.c
--- devel/mm/mmap.c~mm-mmapnommuc-several-unexports	2005-08-06 15:35:23.000000000 -0700
+++ devel-akpm/mm/mmap.c	2005-08-06 15:35:23.000000000 -0700
@@ -155,10 +155,6 @@ int __vm_enough_memory(long pages, int c
 	return -ENOMEM;
 }
 
-EXPORT_SYMBOL(sysctl_overcommit_memory);
-EXPORT_SYMBOL(sysctl_overcommit_ratio);
-EXPORT_SYMBOL(sysctl_max_map_count);
-EXPORT_SYMBOL(vm_committed_space);
 EXPORT_SYMBOL(__vm_enough_memory);
 
 /*
diff -puN mm/nommu.c~mm-mmapnommuc-several-unexports mm/nommu.c
--- devel/mm/nommu.c~mm-mmapnommuc-several-unexports	2005-08-06 15:35:23.000000000 -0700
+++ devel-akpm/mm/nommu.c	2005-08-06 15:35:23.000000000 -0700
@@ -44,10 +44,6 @@ int sysctl_max_map_count = DEFAULT_MAX_M
 int heap_stack_gap = 0;
 
 EXPORT_SYMBOL(mem_map);
-EXPORT_SYMBOL(sysctl_max_map_count);
-EXPORT_SYMBOL(sysctl_overcommit_memory);
-EXPORT_SYMBOL(sysctl_overcommit_ratio);
-EXPORT_SYMBOL(vm_committed_space);
 EXPORT_SYMBOL(__vm_enough_memory);
 
 /* list of shareable VMAs */
_
